CREATE procedure [C6StagingPeriodico].[RP_ST_AnAlberatura_pre_selective]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_AnAlberatura_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_AnAlberatura
	insert into C6StagingPeriodico.RP_AnAlberatura
	--select * into C6StagingPeriodico.RP_AnAlberatura from [CONSEVO].CatalogoProdotti.dbo.AnAlberatura
	select 
	[Alberatura]
      ,[Livello1]
      ,[Livello2]
      ,[Livello3]
      ,[Livello4]
      ,[Livello5]
	 from [CONSUNI_PERIODICO].CatalogoProdotti.dbo.AnAlberatura
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_AnAlberatura_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_AnAlberatura_pre_selective'
		)
end